Search for similar chunks
curl --request POST \
--url https://api.peachdeskai.com/api/v1/knowledge-base/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"limit": 5,
"document_uuids": [
"<string>"
],
"min_similarity": 0.5
}
'import requests
url = "https://api.peachdeskai.com/api/v1/knowledge-base/search"
payload = {
"query": "<string>",
"limit": 5,
"document_uuids": ["<string>"],
"min_similarity": 0.5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', limit: 5, document_uuids: ['<string>'], min_similarity: 0.5})
};
fetch('https://api.peachdeskai.com/api/v1/knowledge-base/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/knowledge-base/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'limit' => 5,
'document_uuids' => [
'<string>'
],
'min_similarity' => 0.5
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/knowledge-base/search"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"limit\": 5,\n \"document_uuids\": [\n \"<string>\"\n ],\n \"min_similarity\": 0.5\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/knowledge-base/search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"limit\": 5,\n \"document_uuids\": [\n \"<string>\"\n ],\n \"min_similarity\": 0.5\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/knowledge-base/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"limit\": 5,\n \"document_uuids\": [\n \"<string>\"\n ],\n \"min_similarity\": 0.5\n}"
response = http.request(request)
puts response.read_body{
"chunks": [
{
"id": 123,
"document_id": 123,
"chunk_text": "<string>",
"contextualized_text": "<string>",
"chunk_index": 123,
"chunk_metadata": {},
"filename": "<string>",
"document_uuid": "<string>",
"similarity": 123
}
],
"query": "<string>",
"total_results": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}main
Search for similar chunks
Search for document chunks similar to the query.
This endpoint uses vector similarity search to find relevant chunks. Results are returned without threshold filtering - apply similarity thresholds at the application layer after optional reranking.
Access Control:
- Users can only search documents from their organization.
POST
/
api
/
v1
/
knowledge-base
/
search
Search for similar chunks
curl --request POST \
--url https://api.peachdeskai.com/api/v1/knowledge-base/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"limit": 5,
"document_uuids": [
"<string>"
],
"min_similarity": 0.5
}
'import requests
url = "https://api.peachdeskai.com/api/v1/knowledge-base/search"
payload = {
"query": "<string>",
"limit": 5,
"document_uuids": ["<string>"],
"min_similarity": 0.5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', limit: 5, document_uuids: ['<string>'], min_similarity: 0.5})
};
fetch('https://api.peachdeskai.com/api/v1/knowledge-base/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/knowledge-base/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'limit' => 5,
'document_uuids' => [
'<string>'
],
'min_similarity' => 0.5
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/knowledge-base/search"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"limit\": 5,\n \"document_uuids\": [\n \"<string>\"\n ],\n \"min_similarity\": 0.5\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/knowledge-base/search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"limit\": 5,\n \"document_uuids\": [\n \"<string>\"\n ],\n \"min_similarity\": 0.5\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/knowledge-base/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"limit\": 5,\n \"document_uuids\": [\n \"<string>\"\n ],\n \"min_similarity\": 0.5\n}"
response = http.request(request)
puts response.read_body{
"chunks": [
{
"id": 123,
"document_id": 123,
"chunk_text": "<string>",
"contextualized_text": "<string>",
"chunk_index": 123,
"chunk_metadata": {},
"filename": "<string>",
"document_uuid": "<string>",
"similarity": 123
}
],
"query": "<string>",
"total_results": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
SessionAuthApiKeyAuth
Interactive user session: the login JWT, sent as Authorization: Bearer <token>.
Body
application/json
Request schema for searching similar chunks.

